public class Arrete implements ChronometreState {

    private Chronometre chronometre;

    public Arrete(Chronometre chronomètre) {
        this.chronometre = chronomètre;
    }

    @Override
    public void demarrer() {
        System.out.println("Démarrage du chronomètre");
        chronometre.setState(new Demarre(chronometre));
    }

    @Override
    public void mettreEnPause() {
        // Ne fait rien
    }

    @Override
    public void arreter() {
        // Ne fait rien
    }

    @Override
    public void reinitialiser() {
        System.out.println("Réinitialisation du chronomètre");
        chronometre.setState(new Reinitialise(chronometre));
    }

    @Override
    public String getTemps() {
        return "0";
    }

}
