public class Chronometre {

    private ChronometreState état;
    private long tempsEcoule;

    public Chronometre() {
        état = new Arrete(this);
        tempsEcoule = 0;
    }

    public void setState(ChronometreState état) {
        this.état = état;
    }

    public void démarrer() {
        état.demarrer();
    }

    public void mettreEnPause() {
        état.mettreEnPause();
    }

    public void arrêter() {
        état.arreter();
    }

    public void réinitialiser() {
        état.reinitialiser();
    }

    public String getTemps() {
        return état.getTemps();
    }

    public void setTemps(long x) {
        this.tempsEcoule = x;
    }

    public long getTempsInitial() {
        return tempsEcoule;
    }

}
