public class Reinitialise implements ChronometreState {

    private Chronometre chronometre;

    public Reinitialise(Chronometre chronometre) {
        this.chronometre = chronometre;
    }

    @Override
    public void demarrer() {
        System.out.println("Démarrage du chronomètre");
        chronometre.setState(new Demarre(chronometre));
    }

    @Override
    public void mettreEnPause() {
        // Ne fait rien
    }

    @Override
    public void arreter() {
        // Ne fait rien
    }

    @Override
    public void reinitialiser() {
        // Ne fait rien
    }

    @Override
    public String getTemps() {
        return "0";
    }
}

